#ifndef ENEMY_H
#define ENEMY_H

#include "Person.h"

class List;

typedef enum {JUMP, FOLLOWSHOOTAHEAD , FOLLOWSHOOT, SITANDSHOOT, FACTORYBOSS, RUNAWAY, NONE, STREETBOSS} AItype;

class Enemy : public Person
{
public:
	Enemy(List * enemyInfo, int x, int y);
	~Enemy();
	void update();
	void die();
	virtual Object *copy();

	void activate() {_active = true;}
	void disable() {_active = false;}

	void load(List *enemyInfo, bool fromConstructor = true);
private:
	List *_deathScript;

	AItype _brain;
	List *_script;

	int _brainWait;
	int _scriptWait;

	int _brainTime;
	int _scriptTime;

	int _brainBurst;
	int _brainBurstTime;

	int _pointValue;
	bool _active;

};

#endif
